summaryrefslogtreecommitdiffstats
path: root/debian/tests/sphinx-doc
diff options
context:
space:
mode:
Diffstat (limited to 'debian/tests/sphinx-doc')
-rw-r--r--debian/tests/sphinx-doc18
1 files changed, 18 insertions, 0 deletions
diff --git a/debian/tests/sphinx-doc b/debian/tests/sphinx-doc
new file mode 100644
index 0000000..e86b74d
--- /dev/null
+++ b/debian/tests/sphinx-doc
@@ -0,0 +1,18 @@
+#!/bin/sh
+set -e -u
+
+cp -r debian/jstest "$AUTOPKGTEST_TMP/"
+cd "$AUTOPKGTEST_TMP"
+for format in rst html
+do
+ [ "$(readlink -f /usr/share/doc/python3-sphinx/$format)" = "$(readlink -f /usr/share/doc/sphinx-doc/$format)" ]
+done
+run_js_tests='jstest/run-tests /usr/share/doc/sphinx-doc/html/'
+if [ -n "${DISPLAY:-}" ]
+then
+ $run_js_tests
+else
+ xvfb-run -a $run_js_tests
+fi
+
+# vim:ts=4 sw=4 et